Loading...
Searching...
No Matches
GLLegacyGregoryPatchTable Class Reference

`#include <glLegacyGregoryPatchTable.h>`

Inheritance diagram for GLLegacyGregoryPatchTable:

## Public Member Functions

| ~GLLegacyGregoryPatchTable ()
void | UpdateVertexBuffer (GLuint vbo)
GLuint | GetVertexTextureBuffer () const
GLuint | GetVertexValenceTextureBuffer () const
GLuint | GetQuadOffsetsTextureBuffer () const
GLuint | GetQuadOffsetsBase (Far::PatchDescriptor::Type type)

## Static Public Member Functions

static GLLegacyGregoryPatchTable * | Create (Far::PatchTable const *patchTable)

## Protected Member Functions

| GLLegacyGregoryPatchTable ()

## Detailed Description

Definition at line 39 of file glLegacyGregoryPatchTable.h.

## Constructor & Destructor Documentation

## ~GLLegacyGregoryPatchTable()

~GLLegacyGregoryPatchTable | ( |  | ) |

## GLLegacyGregoryPatchTable()

GLLegacyGregoryPatchTable | ( |  | ) |

protected

## Member Function Documentation

## Create()

GLLegacyGregoryPatchTable * Create | ( | Far::PatchTable const * | patchTable | ) |

static

## GetQuadOffsetsBase()

GLuint GetQuadOffsetsBase | ( | Far::PatchDescriptor::Type | type | ) |

inline

Definition at line 60 of file glLegacyGregoryPatchTable.h.

## GetQuadOffsetsTextureBuffer()

GLuint GetQuadOffsetsTextureBuffer | ( |  | ) | const

inline

Definition at line 56 of file glLegacyGregoryPatchTable.h.

## GetVertexTextureBuffer()

GLuint GetVertexTextureBuffer | ( |  | ) | const

inline

Definition at line 48 of file glLegacyGregoryPatchTable.h.

## GetVertexValenceTextureBuffer()

GLuint GetVertexValenceTextureBuffer | ( |  | ) | const

inline

Definition at line 52 of file glLegacyGregoryPatchTable.h.

## UpdateVertexBuffer()

void UpdateVertexBuffer | ( | GLuint | vbo | ) |

The documentation for this class was generated from the following file:

- opensubdiv/osd/glLegacyGregoryPatchTable.h